CertifiedKeyPair (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class CertifiedKeyPair

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CertifiedKeyPair

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertifiedKeyPair
      extends ASN1Object

       CertifiedKeyPair ::= SEQUENCE {
                                        certOrEncCert       CertOrEncCert,
                                        privateKey      [0] EncryptedKey      OPTIONAL,
                                        -- see [CRMF] for comment on encoding
                                        publicationInfo [1] PKIPublicationInfo  OPTIONAL
             }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertifiedKeyPair(CertOrEncCert certOrEncCert)`
    `CertifiedKeyPair(CertOrEncCert certOrEncCert, EncryptedKey privateKey, PKIPublicationInfo publicationInfo)`
    `CertifiedKeyPair(CertOrEncCert certOrEncCert, EncryptedValue privateKey, PKIPublicationInfo publicationInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertOrEncCert` | `getCertOrEncCert()`
    `static CertifiedKeyPair` | `getInstance(java.lang.Object o)`
    `EncryptedKey` | `getPrivateKey()`
    `PKIPublicationInfo` | `getPublicationInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Return the primitive representation of PKIPublicationInfo.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertifiedKeyPair

          public CertifiedKeyPair(CertOrEncCert certOrEncCert)

    - #### CertifiedKeyPair

          public CertifiedKeyPair(CertOrEncCert certOrEncCert,
                                  EncryptedKey privateKey,
                                  PKIPublicationInfo publicationInfo)

    - #### CertifiedKeyPair

          public CertifiedKeyPair(CertOrEncCert certOrEncCert,
                                  EncryptedValue privateKey,
                                  PKIPublicationInfo publicationInfo)

  - ### Method Detail

    - #### getInstance

          public static CertifiedKeyPair getInstance(java.lang.Object o)

    - #### getCertOrEncCert

          public CertOrEncCert getCertOrEncCert()

    - #### getPrivateKey

          public EncryptedKey getPrivateKey()

    - #### getPublicationInfo

          public PKIPublicationInfo getPublicationInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return the primitive representation of PKIPublicationInfo.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.